## org.eclipse.emf.cdo.server
Interface IRepository.WriteAccessHandler

All Superinterfaces:
  IRepository.Handler

Enclosing interface:
  IRepository

    public static interface IRepository.WriteAccessHandler

extends IRepository.Handler

Since:
  2.0

Method Summary
`void` `handleTransactionBeforeCommitting(ITransaction transaction, IStoreAccessor.CommitContext commitContext, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)` Provides a way to handle transactions that are to be committed to the backend store.

Method Detail

### handleTransactionBeforeCommitting

    void handleTransactionBeforeCommitting(ITransaction transaction,
                                           IStoreAccessor.CommitContext commitContext,
                                           org.eclipse.net4j.util.om.monitor.OMMonitor monitor)
                                           throws java.lang.RuntimeException

  Provides a way to handle transactions that are to be committed to the backend store.

  Parameters:
    `transaction` - The transaction that is going to be committed.
    `commitContext` - The context of the commit operation that is to be executed against the backend store. The context can be used to introspect all aspects of the current commit operation.
    `monitor` - A monitor that should be used by the implementor to avoid timeouts.
  Throws:
    `java.lang.RuntimeException` - to indicate that the commit operation must not be executed against the backend store. This exception will be visible at the client side!

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.